FUNCTION( SET_DEFAULT OPTION_NAME DEFAULT_VALUE )
  IF( NOT DEFINED OPTION_NAME )
    SET( OPTION_NAME ${DEFAULT_VALUE} )
  ENDIF()
ENDFUNCTION()

# Options not specified by configure will be defined as ON
FUNCTION( ENABLE_BY_DEFAULT OPTION_NAME )
  IF( NOT DEFINED ${OPTION_NAME} )
    SET( ${OPTION_NAME} ON )
  ENDIF()
  SET( ${OPTION_NAME} ${${OPTION_NAME}} PARENT_SCOPE )
ENDFUNCTION()

# Options not specified by configure will be defined as OFF
FUNCTION( DISABLE_BY_DEFAULT OPTION_NAME )
  IF( NOT DEFINED ${OPTION_NAME} )
    SET( ${OPTION_NAME} OFF )
  ENDIF()
  SET( ${OPTION_NAME} ${${OPTION_NAME}} PARENT_SCOPE )
ENDFUNCTION()

# Will add the subdirectory if set to ON
FUNCTION( ADD_SUBDIRECTORY_IF DIR CONDITION ) 
  IF( ${${CONDITION}} )
    ADD_SUBDIRECTORY(${DIR})
  ENDIF()
  SET(${CONDITION} ${${CONDITION}} PARENT_SCOPE)
ENDFUNCTION() 

# WILL ADD THE SUBDIRECTORY IF THE PARAMETER IS SET TO OFF
FUNCTION( ADD_SUBDIRECTORY_IF_OFF DIR CONDITION )
  IF( NOT ${${CONDITION}} )
    ADD_SUBDIRECTORY(${DIR})
  ENDIF()
  SET(${CONDITION} ${${CONDITION}} PARENT_SCOPE)
ENDFUNCTION()

# Include directory and headers within if CONDITION=ON
FUNCTION( INCLUDE_DIRECTORY_IF DIR HEADERS CONDITION ) 
  SET( ${HEADERS} ${${HEADERS}} PARENT_SCOPE )
  SET( ${HEADERS} ${${HEADERS}} )
  SET( ${CONDITION} ${${CONDITION}} PARENT_SCOPE )
  SET(${CONDITION} ${${CONDITION}})
  IF( ${CONDITION} )
    INCLUDE_DIRECTORIES(${DIR})
    APPEND_GLOB(HEADER ${DIR}/*.hpp)
  ENDIF( ${CONDITION} )
ENDFUNCTION() 

FUNCTION( INCLUDE_DIRECTORY_IF_OFF DIR HEADERS CONDITION ) 
  SET( ${HEADERS} ${${HEADERS}} PARENT_SCOPE )
  SET( ${HEADERS} ${${HEADERS}} )
  SET( ${CONDITION} ${${CONDITION}} PARENT_SCOPE )
  SET(${CONDITION} ${${CONDITION}})
  IF( NOT ${CONDITION} )
    INCLUDE_DIRECTORIES(${DIR})
    APPEND_GLOB(HEADERS ${DIR}/*.hpp)
  ENDIF( NOT ${CONDITION} )
  INCLUDE_DIRECTORIES(${DIR})
  APPEND_GLOB(HEADERS ${DIR}/*.hpp)
ENDFUNCTION()

